Disable a card

Disables a card associated with a Moov account.

To access this endpoint using an access token you'll need to specify the /accounts/{accountID}/cards.write scope.

DELETE
/accounts/{accountID}/cards/{cardID}
cURL Go .NET Java Ruby TypeScript PHP Python
curl -X DELETE "https://api.moov.io/accounts/{accountID}/cards/{cardID}"
  -H "Authorization: Bearer {token}" \
mc, _ := moov.NewClient()

var accountID string
var cardID string

mc.DisableCard(ctx, accountID, cardID)
using Moov.Sdk;

var sdk = new MoovClient(xMoovVersion: "<value>");

var res = await sdk.Cards.DisableAsync(
    accountID: "bbd12cb2-58f4-46e5-861d-1e6c4617c0c2",
    cardID: "01234567-89ab-cdef-0123-456789abcdef"
);

// handle response
package hello.world;

import io.moov.sdk.Moov;
import io.moov.sdk.models.components.Security;
import io.moov.sdk.models.errors.GenericError;
import io.moov.sdk.models.operations.DisableCardResponse;
import java.lang.Exception;

public class Application {

    public static void main(String[] args) throws GenericError, Exception {

        Moov sdk = Moov.builder()
                .xMoovVersion("v2024.01.00")
                .security(Security.builder()
                    .username("")
                    .password("")
                    .build())
            .build();

        DisableCardResponse res = sdk.cards().disable()
                .accountID("bbd12cb2-58f4-46e5-861d-1e6c4617c0c2")
                .cardID("01234567-89ab-cdef-0123-456789abcdef")
                .call();

        // handle response
    }
}
require 'moov_ruby'

Models = ::Moov::Models
s = ::Moov::Client.new(
      x_moov_version: 'v2024.01.00',
    )

res = s.cards.disable(account_id: 'bbd12cb2-58f4-46e5-861d-1e6c4617c0c2', card_id: '01234567-89ab-cdef-0123-456789abcdef')

if res.status_code == 200
  # handle response
end
import { Moov } from "@moovio/sdk";

const moov = new Moov({
  xMoovVersion: "v2024.01.00",
  security: {
    username: "",
    password: "",
  },
});

async function run() {
  const result = await moov.cards.disable({
    accountID: "bbd12cb2-58f4-46e5-861d-1e6c4617c0c2",
    cardID: "01234567-89ab-cdef-0123-456789abcdef",
  });

  console.log(result);
}

run();
declare(strict_types=1);

require 'vendor/autoload.php';

use Moov\MoovPhp;
use Moov\MoovPhp\Models\Components;

$sdk = MoovPhp\Moov::builder()
    ->setXMoovVersion('v2024.01.00')
    ->setSecurity(
        new Components\Security(
            username: '',
            password: '',
        )
    )
    ->build();



$response = $sdk->cards->disable(
    accountID: 'bbd12cb2-58f4-46e5-861d-1e6c4617c0c2',
    cardID: '01234567-89ab-cdef-0123-456789abcdef'

);

if ($response->statusCode === 200) {
    // handle response
}
from moovio_sdk import Moov
from moovio_sdk.models import components


with Moov(
    x_moov_version="v2024.01.00",
    security=components.Security(
        username="",
        password="",
    ),
) as moov:

    res = moov.cards.disable(account_id="bbd12cb2-58f4-46e5-861d-1e6c4617c0c2", card_id="01234567-89ab-cdef-0123-456789abcdef")

    # Handle response
    print(res)
204 400 401 403 404 409 429 500 504
The request completed successfully, but there is no content to return.

x-request-id

string required
A unique identifier used to trace requests.
The server could not understand the request due to invalid syntax.
application/json
{
  "error": "string"
}

x-request-id

string required
A unique identifier used to trace requests.
The request contained missing or expired authentication.

x-request-id

string required
A unique identifier used to trace requests.
The user is not authorized to make the request.

x-request-id

string required
A unique identifier used to trace requests.
The requested resource was not found.

x-request-id

string required
A unique identifier used to trace requests.
The request conflicted with the current state of the target resource.
application/json
{
  "error": "string"
}

x-request-id

string required
A unique identifier used to trace requests.
Request was refused due to rate limiting.

x-request-id

string required
A unique identifier used to trace requests.
The request failed due to an unexpected error.

x-request-id

string required
A unique identifier used to trace requests.
The request failed because a downstream service failed to respond.

x-request-id

string required
A unique identifier used to trace requests.

Headers

X-Moov-Version

string

Specify an API version.

API versioning follows the format vYYYY.QQ.BB, where

  • YYYY is the year
  • QQ is the two-digit month for the first month of the quarter (e.g., 01, 04, 07, 10)
  • BB is the build number, starting at .01, for subsequent builds in the same quarter.
    • For example, v2024.01.00 is the initial release of the first quarter of 2024.

The latest version represents the most recent development state. It may include breaking changes and should be treated as a beta release. When no version is specified, the API defaults to v2024.01.00.

Path parameters

accountID

string required

cardID

string required